
; *****************************************************************************
; *                                                                           *
; *     AiChip Compiler for the Propeller Chip - Enhanced Example Code        *
; *                                                                           *
; *****************************************************************************
; *                                                                           *
; *     Command line compilation parameters to recreate files included in     *
; *     the AIPROP16.ZIP file ...                                             *
; *                                                                           *
; *     AIPROP16 ENHANCED.ASM /LIST /LIST:CODE /LIST:SYMBOLS                  *
; *                                                                           *
; *****************************************************************************

        _CLKMODE RCFAST                 ; Set clock mode

        ORG     0                       ; Put a count to OUTA

        CLR     OUTA                    ; Initially zero the outputs
        MOV     DIRA,#[0xFFFF_FFFF]     ; Make all outputs
Loop    CALL    #Output                 ; Update the outputs
        CALL    #Delay                  ; Add a delay
        JMP     #Loop                   ; Put out the next count

Output  MOV     OUTA,count              ; Put out the count
        INC     count                   ; Update the count
        RET                             ; Then return

count   LONG    0                       ; The count to display

Delay   MOV     dTime,#[0xFFFF]         ; A short delay routine
        DJNZ    dTime,#$                ; Count delay time down
        RET                             ; Then return

dTime   LONG    0                       ; Delay timer

; *****************************************************************************
; *                                                                           *
; *     End of Enhanced Example Program                                       *
; *                                                                           *
; *****************************************************************************

