
; *****************************************************************************
; *                                                                           *
; *     AiChip Compiler for the Propeller Chip - MPASM Example Code           *
; *                                                                           *
; *****************************************************************************
; *                                                                           *
; *     Command line compilation parameters to recreate files included in     *
; *     the AIPROP16.ZIP file ...                                             *
; *                                                                           *
; *     AIPROP16 MPASM.ASM /LIST /LIST:CODE /LIST:SYMBOLS /MPASM              *
; *                                                                           *
; *****************************************************************************

        _CLKMODE RCFAST                 ; Set clock mode

        ORG     0                       ; Put a count to PORTA (OUTA)

W       EQU     0x1EF                   ; Create a W register

        CLRF    PORTA                   ; Initially zero the outputs
        MOVLW   0x0000_0000             ; Make all pins outputs
        TRISA                           ; Or "MOVWF TRISA"

Loop    CALL    Output                  ; Update the outputs
        CALL    Delay                   ; Add a delay
        GOTO    Loop                    ; Put out the next count

Output  MOVF    count,W                 ; Get the count
        MOVWF   PORTA                   ; Put to PORTA (OUTA)
        INCF    count,F                 ; Update the count
        RETURN                          ; Then return

count   LONG    0                       ; The count to display

Delay   MOVLW   [0xFFFF]                ; A short delay routine
        MOVWF   dTime
:Dloop  DECFSZ  dTime                   ; Count delay time down
        GOTO    :Dloop
        RETURN                          ; Then return

dTime   LONG    0                       ; Delay timer

; *****************************************************************************
; *                                                                           *
; *     End of MPASM Example Program                                          *
; *                                                                           *
; *****************************************************************************

