
; *****************************************************************************
; *                                                                           *
; *     AiChip Compiler for the Propeller Chip - Standard Example Code        *
; *                                                                           *
; *****************************************************************************
; *                                                                           *
; *     Command line compilation parameters to recreate files included in     *
; *     the AIPROP16.ZIP file ...                                             *
; *                                                                           *
; *     AIPROP16 STANDARD.ASM /LIST /LIST:CODE /LIST:SYMBOLS                  *
; *                                                                           *
; *****************************************************************************

        _CLKMODE RCFAST                 ; Set clock mode

        ORG     0                       ; Put a count to OUTA

        MOV     OUTA,#0                 ; Initially zero the outputs
        MOV     DIRA,k_FFFF_FFFF        ; Make all outputs
Loop    CALL    #Output                 ; Update the outputs
        CALL    #Delay                  ; Add a delay
        JMP     #Loop                   ; Put out the next count

Output  MOV     OUTA,count              ; Put out the count
        ADD     count,#1                ; Update the count
        RET                             ; Then return

count   LONG    0                       ; The count to display

Delay   MOV     dTime,k_FFFF            ; A short delay routine
:Dloop  DJNZ    dTime,#:Dloop           ; Count delay time down
        RET                             ; Then return

dTime   LONG    0                       ; Delay timer

k_FFFF_FFFF     LONG    $FFFF_FFFF
k_FFFF          LONG    $FFFF

; *****************************************************************************
; *                                                                           *
; *     End of Standard Example Program                                       *
; *                                                                           *
; *****************************************************************************

